Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006827OCamltypingpublic2015-03-31 15:252015-04-07 20:52
Reportersliquister 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version4.02.1 
Target VersionFixed in Version4.03.0+dev / +beta1 
Summary0006827: prefer string to bytes with -short-paths
DescriptionWhen -safe-string is not used, -short-paths seems to always prefer saying "bytes" instead of "string", which is the opposite behaviour of what we want: if you don't say -safe-string, you don't care about the "bytes" type and you'd prefer to see "string" everywhere.

I suspect this behavior is an unintended consequence of the order in which predef.ml creates the type defs.
Steps To Reproduce$ ocaml
        OCaml version 4.02.1

# let 1 = "A";;
Error: This expression has type string but an expression was expected of type
         int
#

$ ocaml -short-paths
        OCaml version 4.02.1

# let 1 = "A";;
Error: This expression has type bytes but an expression was expected of type
         int
#
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0013647)
doligez (administrator)
2015-04-07 20:52

Fixed in trunk (rev 15987) by switching the definitions of `bytes` and `string`.

- Issue History
Date Modified Username Field Change
2015-03-31 15:25 sliquister New Issue
2015-04-07 20:52 doligez Note Added: 0013647
2015-04-07 20:52 doligez Status new => closed
2015-04-07 20:52 doligez Resolution open => fixed
2015-04-07 20:52 doligez Fixed in Version => 4.03.0+dev / +beta1
2017-02-23 16:45 doligez Category OCaml typing => typing


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker